<?php

/*********************************
 * ZRay Composer Plugin
 * Version: 1.01
 **********************************/

namespace ZRay;

if (!class_exists('\ZRayPlugin', false)) {
    return;
}

require_once "Composer.php";

$zrp = new \ZRayPlugin("composer", true);
$composer = new Composer();

$zrp->traceFunction(
    'Composer\Autoload\ClassLoader::findFileWithExtension',
    null,
    [$composer, 'findFileWithExtensionExit']
);

$zrp->traceFunction(
    'Composer\Autoload\ClassLoader::register',
    null,
    [$composer, 'registerExit']
);

register_shutdown_function('ZRay\Composer::shutdown');

$zrp->traceFunction(
    'ZRay\Composer::shutdown',
    null,
    [$composer, 'collect']
);
